Name:    quassel
Summary: A modern distrubuted IRC system
Version: 0.5.0
Release: 1%{?dist}

License: GPLv2 or GPLv3
Group:	 Applications/Internet
URL:     http://quassel-irc.org/
Source0: http://quassel-irc.org/system/files/quassel-%{version}.tar.bz2
Source1: %{name}.desktop
Source2: %{name}core.desktop
Source3: %{name}client.desktop
Source4: %{name}.png
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Requires: qt-sqlite, openssl
BuildRequires: qt-devel, openssl-devel, kdebase-workspace-devel
BuildRequires: cmake, kde-filesystem
BuildRequires: desktop-file-utils

%description
Quassel IRC is a modern, distributed IRC client, 
meaning that one (or multiple) client(s) can attach 
to and detach from a central core -- 
much like the popular combination of screen and a 
text-based IRC client such as WeeChat, but graphical

%package core
Summary: Quassel core component
Group: Applications/Internet
%description core
The Quassel IRC Core maintains a connection with the 
server, and allows for multiple clients to connect

%package client
Summary: Quassel client
Group: Applications/Internet
%description client
Quassel client 

%prep
%setup -q -n quassel-0.5.0

%build

mkdir build
cd build
%{cmake_kde4} .. -DWANT_MONO=1 -DWITH_KDE=1 
make 

%install
rm -rf $RPM_BUILD_ROOT


cd build
make install DESTDIR=${RPM_BUILD_ROOT} 

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :

%post client
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun client
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi

%posttrans client
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :


%files 
%defattr(-,root,root,-)
%attr(755,root,root) %{_bindir}/quassel
%doc COPYING gpl-2.0.txt gpl-3.0.txt README
%{_kde4_appsdir}/quassel/
/usr/share/icons/hicolor/48x48/apps/quassel.png
# pixmaps dir is deprecated, not needed anymore -- Rex
/usr/share/pixmaps/quassel.png
%{_kde4_datadir}/applications/kde4/quassel.desktop

%files core
%defattr(-,root,root,-)
%attr(755,root,root) %{_bindir}/quasselcore
%doc COPYING gpl-2.0.txt gpl-3.0.txt README

%files client 
%defattr(-,root,root,-)
%attr(755,root,root) %{_bindir}/quasselclient
%doc COPYING gpl-2.0.txt gpl-3.0.txt README
%{_kde4_appsdir}/quassel/
/usr/share/icons/hicolor/48x48/apps/quassel.png
/usr/share/pixmaps/quassel.png
%{_kde4_datadir}/applications/kde4/quasselclient.desktop

%changelog
* Fri Oct 23 2009 Steven M. Parrish <smparrish@gmail.com> - 0.5.0-1
- Official 0.5.0 release

* Thu Sep 03 2009 Steven M. Parrish <smparrish@gmail.com> - 0.5-0.1.rc1
- New release candidate

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jun 25 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.4.1-2
- cleanup dir ownership
- optimize scriptlets

* Fri Apr 24 2009 Steven M. Parrish <tuxbrewr@fedoraproject.org> - 0.4.1-1
- New upstream release

* Tue Apr 13 2009 Steven M. Parrish <tuxbrewr@fedoraproject.org> - 0.4.0-2
- Enabled KDE integration

* Fri Feb 20 2009 Steven M. Parirsh <tuxbrewr@fedoraproject.org> 0.4.0-1
- New upstream release

* Mon Dec 29 2008 Steven M. Parrish <tuxbrewr@fedoraproject.org> 0.3.1-2
- Fix bug #477850

* Fri Nov 28 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.3.1-1
- New upstream release

* Wed Nov 12 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.3.0.3-1
- New upstream release fixes a security issue with CTCP handling in 
- Quassel Core, that could potentially be exploited to send 
- arbitrary IRC commands on your behalf.

* Tue Sep 16 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.3.0.1-1
- New upstream release

* Fri Jul 04 2008 Steven Parrish <smparrish@shallowcreek.net> 0.1.rc1
- New upstream release.  Now uses cmake instead of qmake

* Wed Jul 02 2008 Steven Parrish <smparrish@shallowcreek.net> - 0.3.beta1
- Final spec for initial release to F9 and rawhide

* Tue Jun 24 2008 Steven Parrish <smparrish[at]shallowcreek.net>
- Revised spec file based on comments from package reviewer. 

* Mon Jun 23 2008 Steven Parrish <smparrish[at]shallowcreek.net>
- initial RPM
